/**
 * 核心服务接口sdk（golang版）
 *
 * @desc 啪啪运动 核心服务接口sdk
 * ---------------------------------------------------------------------
 * @author		tang <tangzhifu@qq.com>
 * @date		2021-10-28
 * @copyright	core-utils
 * ---------------------------------------------------------------------
 */

package pposRequest

import (
	"fmt"
	"net/url"
)

//new...
func (that *PPOSClient) NewInfoPlatformStadiumPassengerPush() *InfoPlatformStadiumPassengerPushRequest {
	return &InfoPlatformStadiumPassengerPushRequest{
		Request: Request{
			Client:     that,
			apiAddress: "/infoPlatform/stadium/passengerPush",
		},
	}
}

//Request...
type InfoPlatformStadiumPassengerPushRequest struct {
	Request
}

func (that *InfoPlatformStadiumPassengerPushRequest) SetData(value string) *InfoPlatformStadiumPassengerPushRequest {
	that.initParams()
	that.params.Set("data", value) //推送数据
	return that
}

//Params ...
func (that *InfoPlatformStadiumPassengerPushRequest) Params() (url.Values, error) {
	that.initParams()
	_params := that.params
	return _params, nil
}

type InfoPlatformStadiumPassengerPushResponse struct {
}

//Do ...
func (that *InfoPlatformStadiumPassengerPushRequest) Do() (InfoPlatformStadiumPassengerPushResponse, error) {
	_rs := InfoPlatformStadiumPassengerPushResponse{}
	_data, _err := that.Client.GetData(that.apiAddress, that)
	if _err != nil {
		return _rs, _err
	}
	fmt.Println("====", _data)
	return _rs, nil
}
